--- dreal/src/GMS_setup.c	2002-09-30 12:20:08
+++ dreal/src/GMS_setup.c	2026-05-01 10:31:02
@@ -62,6 +62,7 @@
 # include "GMH.h"
 
 # include "GMS_setup.h"
+# include "GMV_panel.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GMT_panel.c	2002-09-30 12:20:08
+++ dreal/src/GMT_panel.c	2026-05-01 10:31:02
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "mph.h"
--- dreal/src/GMT_tools.c	2002-09-30 12:20:08
+++ dreal/src/GMT_tools.c	2026-05-01 10:31:02
@@ -59,6 +59,7 @@
 # include "GMX.h"
 # include "GRD.h"
 # include "GMT.h"
+# include "GMV.h"
 
 # include "GMT_tools.h"
 # include "GMT_message.h"
--- dreal/src/GMV_menu.c	2002-09-30 12:20:08
+++ dreal/src/GMV_menu.c	2026-05-01 10:31:02
@@ -60,6 +60,7 @@
 # include "GMV_dialog.h"
 # include "GMV_view.h"
 # include "GMV_map.h"
+# include "GMV_panel.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GMV_view.c	2002-09-30 12:20:08
+++ dreal/src/GMV_view.c	2026-05-01 10:31:02
@@ -58,6 +58,8 @@
 
 # include "GMV_view.h"
 
+extern void DrealInitializeLambdaGrid();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- dreal/src/GMX_dialog.c	2002-09-30 12:20:09
+++ dreal/src/GMX_dialog.c	2026-05-01 10:31:02
@@ -61,6 +61,8 @@
 # include "GMS.h"
 # include "GMH.h"
 # include "GMX.h"
+# include "GMC.h"
+# include "GME.h"
 
 # include "GMX_dialog.h"
 
--- dreal/src/GMX_event.c	2004-07-29 12:57:38
+++ dreal/src/GMX_event.c	2026-05-01 10:31:02
@@ -60,11 +60,17 @@
 # include "GMV.h"
 # include "GMS.h"
 # include "GMH.h"
+# include "GMC.h"
+# include "GME.h"
+# include "GMT.h"
 # include "GMX_motif.h"
 # include "GMX_grid.h"
 # include "GMX_cursor.h"
 # include "GMX_event.h"
 # include "GMX_message.h"
+
+extern void DrealInitializeGraphicWindow();
+extern void DrealEditSelectPointStretch(long, long);
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GMX_graphic.c	2002-09-30 12:20:09
+++ dreal/src/GMX_graphic.c	2026-05-01 10:31:02
@@ -61,6 +61,9 @@
 # include "GMX_view.h"
 # include "GMX_grid.h"
 
+extern void DrealInitializeLambdaGrid();
+extern char DrealDisplayLambdaGrid(long, long, long, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- dreal/src/GMX_motif.c	2002-09-30 12:20:09
+++ dreal/src/GMX_motif.c	2026-05-01 10:31:02
@@ -57,6 +57,9 @@
 # include "GSB.h"
 # include "GMX.h"
 # include "GMS.h"
+# include "GME.h"
+# include "GMF.h"
+# include "GMV.h"
 
 # include "GMX_motif.h"
 # include "GMX_graphic.h" 
@@ -66,6 +69,8 @@
 # include "GMX_color.h" 
 # include "GMX_panel.h"
 # include "GMX_dialog.h"
+
+extern void DrealInitializePanel();
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GRD_error.c	2002-09-30 12:20:09
+++ dreal/src/GRD_error.c	2026-05-01 10:31:02
@@ -44,6 +44,7 @@
 
 # include <stdio.h>
 # include <stdlib.h>
+# include <string.h>
 # include <signal.h>
 # include <setjmp.h>
 # include "mut.h"
@@ -55,6 +56,7 @@
 # include "GSB.h" 
 # include "GRD.h"
 # include "GRD_error.h"
+# include "GMF_menu.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GSB_parse.c	2002-09-30 12:20:10
+++ dreal/src/GSB_parse.c	2026-05-01 10:31:02
@@ -56,6 +56,8 @@
 # include "GSB_error.h"
 # include "GSB_parse.h"
 
+extern void GsbError(char, char *, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -227,7 +229,7 @@
   int   Size;
 {
   register char *RegisterString;
-  register       Register;
+  register int   Register;
 
   rdsbegin();
 
@@ -641,7 +643,7 @@
 
       if (! SecondWord )
       {
-        GsbError( MISSING_VALUE, SecondWord );
+        GsbError( MISSING_VALUE, SecondWord, 0 );
       }
 
       if ( FirstWord == LowerGridStepKeyword )
@@ -709,7 +711,7 @@
     {
       if (!( FirstWord = GsbGetNextWord(1, 1)))
       {
-        GsbError( MISSING_NAME, TableKeyword );
+        GsbError( MISSING_NAME, TableKeyword, 0 );
       }
 
       if ( FirstWord == RdsLayerNameKeyword )
--- dreal/src/GTB_cursor.c	2002-09-30 12:20:10
+++ dreal/src/GTB_cursor.c	2026-05-01 10:31:02
@@ -46,6 +46,7 @@
 # include <stdio.h>
 # include <X11/cursorfont.h>
 # include <X11/Intrinsic.h>
+# include <Xm/Display.h>
 # include "mut.h"
 # include "rds.h"
 # include "GTB.h"
--- dreal/src/GTB_dialog.c	2004-07-29 05:16:01
+++ dreal/src/GTB_dialog.c	2026-05-01 10:31:02
@@ -53,6 +53,8 @@
 # include "GTB.h"
 # include "GTB_dialog.h"
 
+extern void DrealExitErrorMessage(int);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -69,7 +71,7 @@
 |                                                             |
 \------------------------------------------------------------*/
   
-  static DrealLockLoop = 0;
+  static int DrealLockLoop = 0;
 
   static DrealDialogItem DrealWarningDialog =
 
--- dreal/src/dreal.c	2002-09-30 12:20:10
+++ dreal/src/dreal.c	2026-05-01 10:31:02
@@ -60,6 +60,10 @@
 
 # include "dreal.h"
 
+extern void rdsenv();
+extern void DrealInitializeWindow();
+extern void DrealInitializeErrorMessage(char);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- druc/src/defdefin.c	2002-03-29 12:39:32
+++ druc/src/defdefin.c	2026-05-01 10:31:02
@@ -35,6 +35,13 @@
 #include "definclu.h"
 #include "defresiz.h"
 #include "defdefin.h"
+
+extern void DrucBuiltLayerWindow(rdsfig_list *, rdswindow *, int);
+extern void DrucDestroyLayerWindow(rdsfig_list *, rdswindow *, int);
+extern void DrucDefineUnion(rdsfig_list *, rdswindow *, DrucTypeStructInstruction *);
+extern void DrucComputeEquiLayer(rdsfig_list *, int);
+extern void DrucUnifyLayer(rdsfig_list *, rdswindow *, int);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                       DefDefin  Fonctions                   |
--- druc/src/defexclu.c	2002-03-29 12:39:32
+++ druc/src/defexclu.c	2026-05-01 10:31:02
@@ -30,6 +30,10 @@
 #include "vmctools.h"
 #include "deftools.h"
 #include "defexclu.h"
+
+extern void DrucCalculOperationUnaire(rdswindow *, DrucTypeStructInstruction *,
+                                      rdsrec_list *, long *, long *, long *, long *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                       DefExclu  Fonctions                   |
--- druc/src/drucbath.c	2004-07-27 15:26:06
+++ druc/src/drucbath.c	2026-05-01 10:31:02
@@ -40,6 +40,15 @@
 #include "vmcunify.h"
 #include "drucring.h"
 #include "drucbath.h"
+
+extern void DrucDelLayer(rdsfig_list *, int);
+extern void DrucComputeEquiFigure(rdsfig_list *);
+extern void DrucFlattenInstanceRings(rdsfig_list *);
+extern void DrucOpenErrorFile(char *, char *);
+extern void DrucCloseErrorFile();
+extern void DrucViewNumber(long);
+extern void DrucCreateCouron(rdsfig_list *, rdswindow *, char *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                          Variables                          |
--- druc/src/drucgral.c	2002-03-29 12:39:32
+++ druc/src/drucgral.c	2026-05-01 10:31:02
@@ -39,6 +39,8 @@
 #include "vmcunify.h"
 #include "drucmin.h"
 
+extern void DrucComputeEquiLayer(rdsfig_list *, int);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                          Variables                          |
--- druc/src/drucmin.c	2002-03-29 12:39:32
+++ druc/src/drucmin.c	2026-05-01 10:31:02
@@ -37,6 +37,8 @@
 #include "vmcrelat.h"
 #include "drucmin.h"
 
+extern void DrucViewNumber(long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                          Variables                          |
--- druc/src/drucompi.c	2005-04-15 04:38:48
+++ druc/src/drucompi.c	2026-05-01 10:31:02
@@ -25,6 +25,11 @@
 #include "drucutil.h"
 #include "vmctools.h"
 #include "drucompi.h"
+
+extern long RprTranslateParam(double);
+extern void DrucComputeCtm(DrucTypeStructInstruction *);
+extern void DrucDuplicateHierarchicalRule(DrucTypeStructInstruction **, int *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                  DRUCOMPI  variables                        |
--- druc/src/drucompi.h	2002-03-29 12:39:32
+++ druc/src/drucompi.h	2026-05-01 10:31:02
@@ -77,7 +77,7 @@
 |                  Druc Fonctions LEX/YACC                    |
 |                                                             |
 \------------------------------------------------------------*/
-extern      vrd_y_parse                      ();
+extern int  vrd_y_parse                      ();
 extern void vrd_y_error                      ();
 /*------------------------------------------------------------\
 |                                                             |
--- druc/src/drucompi_l.l	2002-03-29 12:39:32
+++ druc/src/drucompi_l.l	2026-05-01 10:31:02
@@ -1,8 +1,12 @@
 %{
+#include <ctype.h>
+
 #include "mut.h"
 #include "drucompi_y.h"
 #include "drucutil.h"
 #include "drucompi.h"
+
+extern void DrucViewString(const char *);
  
 #ifdef FLEX_SCANNER
 
@@ -176,7 +180,7 @@
 
 %%
 
-void DrucEcho ( text )
+void DrucEcho (const char *text)
 {
   if ( DrucStructStat.FLAG_VIEW_RULE_MODE == DRUC_VERBOSE
      )
--- druc/src/drucompi_y.y	2002-03-29 12:39:32
+++ druc/src/drucompi_y.y	2026-05-01 10:31:02
@@ -11,6 +11,14 @@
 #include "drucutil.h"
 #include "drucompi.h"
 
+int yylex();
+extern long RprTranslateParam(double);
+extern void DrucInitOpUnaire();
+extern void DrucLoadInstructionRegle();
+extern void DrucInitDefineValeur(long);
+extern void DrucLoadInstructionUndefine();
+extern void DrucLoadInstructionDefine();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                  Druc MODIFICATIONS                         |
--- druc/src/drucring.c	2002-03-29 12:39:32
+++ druc/src/drucring.c	2026-05-01 10:31:02
@@ -29,6 +29,9 @@
 #include "vmctools.h"
 #include "druchier.h"
 #include "drucring.h"
+
+extern int DrucAsTransparenceEquivalent(int);
+
 /*------------------------------------------------------------\ 
 |                                                             |
 |                         DRUCRING Variables                  |
--- druc/src/drucutil.c	2002-03-29 12:39:32
+++ druc/src/drucutil.c	2026-05-01 10:31:02
@@ -218,6 +218,7 @@
                   )
      boolean        Flatten;
      boolean        Verbose;	
+     boolean        View_Rules;
      boolean        FileType;
 
  {
--- druc/src/vmcaract.c	2002-03-29 12:39:33
+++ druc/src/vmcaract.c	2026-05-01 10:31:02
@@ -31,6 +31,15 @@
 #include "vmcerror.h"
 #include "vmcmesur.h"
 #include "vmcaract.h"
+
+extern void DrucIsPositionInclusInEqui(DrucTypeStructMesure *, DrucTypeStructInstruction *,
+                                       int, long, long, long, long);
+extern boolean DrucIsPerimetreInclusInEqui(DrucTypeStructMesure *, DrucTypeStructInstruction *,
+                                           int, long, long, long, long);
+extern boolean DrucIsRectanglesContact(rdsrec_list *, rdsrec_list *);
+extern void DrucMesureInter(DrucTypeStructMesure *, DrucTypeStructInstruction *,
+                            int, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                          Functions                          |
--- druc/src/vmcasmld.c	2002-05-11 13:03:36
+++ druc/src/vmcasmld.c	2026-05-01 10:31:02
@@ -30,6 +30,9 @@
 #include "druchier.h"
 #include "vmcasmld.h"
 
+extern void DrucInitStructLayers();
+extern void DrucAddABoxRules(DrucTypeStructInstruction **, int *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                  DRUCVMC   variables                        |
--- druc/src/vmcmesur.c	2002-03-29 12:39:33
+++ druc/src/vmcmesur.c	2026-05-01 10:31:02
@@ -30,6 +30,10 @@
 #include "vmctools.h"
 #include "vmcerror.h"
 #include "vmcmesur.h"
+
+extern void DrucIsPositionInclusInEqui(DrucTypeStructMesure *, DrucTypeStructInstruction *,
+                                       int, long, long, long, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                          Variables                          |
--- druc/src/vmcrelat.c	2002-03-29 12:39:33
+++ druc/src/vmcrelat.c	2026-05-01 10:31:02
@@ -34,6 +34,12 @@
 #include "vmcasmld.h"
 #include "vmcmesur.h"
 #include "vmcrelat.h"
+
+extern void DrucMesureInter(DrucTypeStructMesure *, DrucTypeStructInstruction *,
+                            int, long);
+extern void DrucRelationTesteDistance(DrucTypeStructMesure *, DrucTypeStructInstruction *,
+                                      int, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                          Fonctions                          |
--- druc/src/vmcunify.c	2002-03-29 12:39:33
+++ druc/src/vmcunify.c	2026-05-01 10:31:02
@@ -37,7 +37,10 @@
 #include "vmctools.h"
 #include "vmcerror.h"
 #include "vmcunify.h"
- 
+
+extern boolean DrucIsRectanglesContact(rdsrec_list *, rdsrec_list *);
+extern void DrucComputeEquiFigure(rdsfig_list *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                         Fonctions                           |
--- elp/src/elp.c	2002-06-12 08:54:39
+++ elp/src/elp.c	2026-05-01 10:31:02
@@ -18,6 +18,8 @@
 #include <stdlib.h>
 #include "elp.h"
 
+extern int elpyyparse();
+
 extern FILE *elpyyin                                                          ;
 char   elpTechnoName[elpSTRINGSIZE]                                        ;
 char   elpTechnoFile[elpSTRINGSIZE]                                       ;
@@ -47,7 +49,7 @@
 /* -------------------                                                       */
 /*    Aucun!                                                                */
 /*****************************************************************************/
-elpFCT elpenv()
+elpFCT int elpenv(void)
 {
   char  Buffer[ 512 ];
 
--- elp/src/elp_y.y	2002-04-18 09:59:12
+++ elp/src/elp_y.y	2026-05-01 10:31:02
@@ -1,5 +1,8 @@
 %{
 #include "elp.h"
+
+extern int yylex(void);
+int yyerror(char *);
 %}
 
 %union {
@@ -100,12 +103,12 @@
 extern int  yylineno ;
 extern char yytext[] ;
 
-yyerror()
+int yyerror(char *)
 
 {
 elpError(1001,yytext,yylineno) ; /* si erreur de syntaxe => erreur 1001 */
 }
 
 
-yywrap() {return 1 ;}
+int yywrap() {return 1 ;}
 
--- exp/src/expy.y	2011-02-06 09:37:33
+++ exp/src/expy.y	2026-05-01 10:31:02
@@ -1,10 +1,15 @@
 %{
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 #include <math.h>
 #include "exp.h"
 #include "ht.h"
 #include "expy.h"
+
+int yylex();
+int yyerror(char *);
+extern void htstat(ht_t *);
 
 #define VERBOSE        (int)((htget(dico, "verbose")->VAL.f+EPSILON))
 #define EPSILON        0.00001
--- flatlo/src/flatlo.c	2005-05-11 04:05:32
+++ flatlo/src/flatlo.c	2026-05-01 10:33:03
@@ -27,10 +27,9 @@
 #include <stdlib.h>
 #include "mut.h"
 #include "mlo.h"
+#include "mlu.h"
 
-
-usage(progname)
-char *progname;
+void usage(char *progname)
 {
 	fprintf(stderr, "usage : %s logical_figure instance output_name\n",
 				progname);
@@ -42,9 +41,7 @@
 	EXIT(1);
 }
 
-main(argc, argv)
-int argc;
-char **argv;
+int main(int argc, char **argv)
 {
 lofig_list *p;
 
--- flatph/src/flatph.c	2002-09-30 12:20:13
+++ flatph/src/flatph.c	2026-05-01 10:31:02
@@ -23,11 +23,12 @@
 
 #ident "$Id: flatph.c,v 1.2 2002/09/30 16:20:13 czo Exp $"
 #include <stdio.h>
+#include <string.h>
 #include "mut.h"
 #include "mph.h"
+#include "mbk_ph_util.h"
 
-usage(progname)
-char *progname;
+void usage(char *progname)
 {
 	fprintf(stderr, "usage : %s physical_figure instance output_name\n", progname);
 	fputs("        flatten the instance in the physical_figure\n", stderr);
@@ -38,9 +39,7 @@
 	EXIT(1);
 }
 
-main(argc, argv)
-int argc;
-char **argv;
+int main(int argc, char **argv)
 {
 phfig_list *p;
 
--- genlib/src/dpgen_Nul.c	2009-06-14 09:51:43
+++ genlib/src/dpgen_Nul.c	2026-05-01 10:31:02
@@ -258,7 +258,7 @@
 
 
   offset     = 0;
-  depthNext  = get_depth (LV_N, NULL);
+  depthNext  = get_depth (LV_N, 0);
 
   do {
     depth     = depthNext;
@@ -398,7 +398,7 @@
 
 
   offset     = 0;
-  depthNext  = get_depth (LV_N, NULL);
+  depthNext  = get_depth (LV_N, 0);
 
   do {
     depth     = depthNext;
--- genlib/src/genlib.c	2009-06-14 09:51:43
+++ genlib/src/genlib.c	2026-05-01 10:31:02
@@ -73,6 +73,8 @@
 #include "mgn.h"
 static char rcsid[] = "$Id: genlib.c,v 1.13 2009/06/14 13:51:43 ludo Exp $";
 
+extern void debuglogen(logen_list *, int);
+
 /*******************************************************************************
 * global variables used in genlib                                              *
 *******************************************************************************/
--- graal/src/GMC_create.c	2004-08-26 16:14:11
+++ graal/src/GMC_create.c	2026-05-01 10:31:02
@@ -57,6 +57,8 @@
 # include "GTB.h"
 # include "GSB.h"
 # include "GMC.h"
+# include "GMV.h"
+# include "GMT.h"
 
 # include "GMC_create.h"
 # include "GMC_dialog.h"
@@ -357,8 +359,8 @@
 
 void GraalCreateBigViaMbk( LambdaX1, LambdaY1, LambdaX2, LambdaY2 )
 
-   long LambdaX1;
-   long LambdaY1;
+   long LambdaX1, LambdaX2;
+   long LambdaY1, LambdaY2;
 {
   rdsrec_list *Rectangle;
   phvia_list  *Via;
--- graal/src/GME.h	2002-09-30 12:20:33
+++ graal/src/GME.h	2026-05-01 10:31:02
@@ -93,7 +93,7 @@
 |                                                             |
 \------------------------------------------------------------*/
 
-  extern void GraalBuidlPanelModify();
+  extern void GraalBuildPanelModify();
   extern void GraalBuildEditDialog();
 
   extern void GraalEditSelectPointDelete();
--- graal/src/GME_dialog.c	2004-08-26 16:14:12
+++ graal/src/GME_dialog.c	2026-05-01 10:31:02
@@ -62,9 +62,13 @@
 # include "GME.h"
 
 # include "GME_dialog.h"
+# include "GME_message.h"
 # include "GME_modify.h"
 # include "GME_search.h"
 # include "GME_edit.h"
+
+extern void GraalPromptModifyInstance();
+extern void GraalEditSearchVia(char *);
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GME_edit.c	2004-08-26 16:14:12
+++ graal/src/GME_edit.c	2026-05-01 10:31:02
@@ -59,6 +59,8 @@
 # include "GTB.h"
 # include "GSB.h"
 # include "GME.h"
+# include "GMT.h"
+# include "GMV.h"
 
 # include "GME_edit.h"
 # include "GME_panel.h"
--- graal/src/GME_modify.c	2004-08-26 16:14:12
+++ graal/src/GME_modify.c	2026-05-01 10:31:02
@@ -58,11 +58,16 @@
 # include "GMX.h"
 # include "GTB.h"
 # include "GME.h"
+# include "GMT.h"
+# include "GMV.h"
 
 # include "GME_modify.h"
 # include "GME_panel.h"
 # include "GME_edit.h"
 # include "GME_message.h"
+
+extern void GraalLimitedLoop(Widget);
+extern void GraalPromptModifyInstance();
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GME_panel.c	2009-06-14 09:51:44
+++ graal/src/GME_panel.c	2026-05-01 10:31:02
@@ -48,6 +48,8 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
+# include <Xm/List.h>
 
 # include "mut.h"
 # include "mph.h"
@@ -66,6 +68,10 @@
 # include "GME_modify.h"
 # include "GME_search.h"
 # include "GME_select.h"
+
+extern void GraalPromptModifyInstance();
+extern void GraalEditSelectAccept();
+extern void GraalEditSelectCancel();
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GME_search.c	2002-09-30 12:20:34
+++ graal/src/GME_search.c	2026-05-01 10:31:02
@@ -66,6 +66,8 @@
 # include "GME_edit.h"
 # include "GME_message.h"
 
+extern void GraalLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- graal/src/GME_select.c	2002-09-30 12:20:34
+++ graal/src/GME_select.c	2026-05-01 10:31:02
@@ -60,9 +60,14 @@
 # include "GSB.h"
 # include "GME.h"
 # include "GMT.h"
+# include "GMV.h"
 
 # include "GME_select.h"
 # include "GME_message.h"
+# include "GME_panel.h"
+
+extern void GraalLimitedLoop(Widget);
+extern void GraalFreeSelect(graalselect *);
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMF_dialog.c	2002-09-30 12:20:34
+++ graal/src/GMF_dialog.c	2026-05-01 10:31:02
@@ -67,6 +67,7 @@
 
 # include "GMF_dialog.h"
 # include "GMF_file.h"
+# include "GMF_menu.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMF_file.c	2002-09-30 12:20:34
+++ graal/src/GMF_file.c	2026-05-01 10:31:02
@@ -59,6 +59,8 @@
 # include "GTB.h"
 # include "GSB.h"
 # include "GMF.h"
+# include "GMT.h"
+# include "GMV.h"
 
 # include "GMF_file.h"
 
--- graal/src/GMF_panel.c	2002-09-30 12:20:34
+++ graal/src/GMF_panel.c	2026-05-01 10:31:02
@@ -72,6 +72,8 @@
 # include "GMC_dialog.h"
 # include "GMT_dialog.h"
 
+extern void GraalLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- graal/src/GMH_panel.c	2004-07-29 06:10:52
+++ graal/src/GMH_panel.c	2026-05-01 10:31:02
@@ -68,6 +68,8 @@
 # include "GMH_panel.h" 
 # include "LIP6bw.h" 
 
+extern void GraalLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- graal/src/GMS_panel.c	2002-09-30 12:20:35
+++ graal/src/GMS_panel.c	2026-05-01 10:31:02
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "mph.h"
@@ -60,6 +61,8 @@
 # include "GMS.h"
 
 # include "GMS_panel.h"
+
+extern void GraalLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMS_setup.c	2002-09-30 12:20:35
+++ graal/src/GMS_setup.c	2026-05-01 10:31:02
@@ -61,6 +61,7 @@
 # include "GMS.h"
 # include "GMH.h"
 
+# include "GMV_panel.h"
 # include "GMS_setup.h"
 
 /*------------------------------------------------------------\
--- graal/src/GMT_druc.c	2002-09-30 12:20:36
+++ graal/src/GMT_druc.c	2026-05-01 10:31:02
@@ -57,10 +57,15 @@
 # include "GMX.h"
 # include "GRM.h"
 # include "GMT.h"
+# include "GMV.h"
+# include "GME.h"
 
 # include "GMT_druc.h"
 # include "GMT_panel.h"
 # include "GMT_message.h"
+
+extern void GraalFreeSelect(graalselect *);
+extern void GraalDisplayDrucMessage(char *);
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMT_panel.c	2002-09-30 12:20:36
+++ graal/src/GMT_panel.c	2026-05-01 10:31:02
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "mph.h"
@@ -59,12 +60,16 @@
 # include "GTB.h"
 # include "GSB.h"
 # include "GMT.h"
+# include "GMV.h"
 
 # include "GMT_panel.h"
 # include "GMT_message.h"
 # include "GMT_dialog.h"
 # include "GMT_tools.h"
 # include "GMT_druc.h"
+
+extern void GraalToolsDrucNextError();
+extern void GraalToolsDrucAbortError();
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMT_tools.c	2004-08-26 16:14:12
+++ graal/src/GMT_tools.c	2026-05-01 10:31:02
@@ -62,9 +62,16 @@
 # include "GMF.h"
 # include "GRM.h"
 # include "GMT.h"
+# include "GMV.h"
 
 # include "GMT_tools.h"
 # include "GMT_message.h"
+# include "GMT_panel.h"
+# include "GMF_menu.h"
+# include "GRM_window.h"
+
+extern void GraalFileOpen(char *, int);
+extern void GraalFreeSelect(graalselect *);
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMV_menu.c	2002-09-30 12:20:36
+++ graal/src/GMV_menu.c	2026-05-01 10:31:02
@@ -60,6 +60,7 @@
 # include "GMV_dialog.h"
 # include "GMV_view.h"
 # include "GMV_map.h"
+# include "GMV_panel.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMV_view.c	2002-09-30 12:20:37
+++ graal/src/GMV_view.c	2026-05-01 10:31:02
@@ -59,6 +59,8 @@
 
 # include "GMV_view.h"
 
+extern void GraalInitializeLambdaGrid();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- graal/src/GMX_event.c	2004-12-15 04:44:00
+++ graal/src/GMX_event.c	2026-05-01 10:31:02
@@ -61,11 +61,18 @@
 # include "GMS.h"
 # include "GME.h"
 # include "GMH.h"
+# include "GMC.h"
+# include "GMT.h"
 # include "GMX_motif.h"
 # include "GMX_grid.h"
 # include "GMX_cursor.h"
 # include "GMX_event.h"
 # include "GMX_message.h"
+
+extern void GraalInitializeGraphicWindow();
+extern void GraalEditSelectPointStretch(long, long);
+extern void GraalEditSelectWindowStretch(long, long, long, long);
+extern void GraalToolsDruc(long, long, long, long);
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GMX_graphic.c	2002-09-30 12:20:37
+++ graal/src/GMX_graphic.c	2026-05-01 10:31:02
@@ -61,6 +61,9 @@
 # include "GMX_view.h"
 # include "GMX_grid.h"
 
+extern void GraalInitializeLambdaGrid();
+extern char GraalDisplayLambdaGrid(long, long, long, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- graal/src/GMX_motif.c	2002-09-30 12:20:38
+++ graal/src/GMX_motif.c	2026-05-01 10:31:02
@@ -57,6 +57,8 @@
 # include "GSB.h"
 # include "GMX.h"
 # include "GMS.h"
+# include "GMF.h"
+# include "GMV.h"
 
 # include "GMX_motif.h"
 # include "GMX_graphic.h" 
@@ -66,6 +68,8 @@
 # include "GMX_color.h" 
 # include "GMX_panel.h"
 # include "GMX_dialog.h"
+
+extern void GraalInitializePanel();
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GRM_equi.c	2002-09-30 12:20:39
+++ graal/src/GRM_equi.c	2026-05-01 10:31:02
@@ -52,6 +52,7 @@
 # include "GRM.h"
 # include "GSB.h"
 # include "GRM_equi.h"
+# include "GRM_window.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GRM_error.c	2004-08-26 16:14:12
+++ graal/src/GRM_error.c	2026-05-01 10:31:02
@@ -44,6 +44,7 @@
 
 # include <stdio.h>
 # include <stdlib.h>
+# include <string.h>
 # include <signal.h>
 # include <setjmp.h>
 # include "mut.h"
@@ -55,6 +56,7 @@
 # include "GSB.h" 
 # include "GRM.h"
 # include "GRM_error.h"
+# include "GMF_menu.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GRM_mbkrds.c	2002-09-30 12:20:39
+++ graal/src/GRM_mbkrds.c	2026-05-01 10:31:02
@@ -61,6 +61,7 @@
 # include "GRM_error.h"
 # include "GRM_window.h"
 # include "GRM_mbkrds.h"
+# include "GRM_connector.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GRM_peek.c	2004-08-26 16:14:12
+++ graal/src/GRM_peek.c	2026-05-01 10:31:02
@@ -49,6 +49,7 @@
 # include "GRM.h"
 # include "GSB.h"
 # include "GRM_peek.h"
+# include "GRM_window.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- graal/src/GSB_parse.c	2004-08-26 16:14:12
+++ graal/src/GSB_parse.c	2026-05-01 10:31:03
@@ -55,6 +55,8 @@
 # include "GSB_error.h"
 # include "GSB_parse.h"
 
+extern void GsbError(char, char *, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -328,7 +330,7 @@
   int   Size;
 {
   register char *RegisterString;
-  register       Register;
+  register int   Register;
 
   rdsbegin();
  
@@ -1512,7 +1514,7 @@
     {
       if (!( FirstWord = GsbGetNextWord(1, 1)))
       {
-        GsbError( MISSING_NAME, TableKeyword );
+        GsbError( MISSING_NAME, TableKeyword, 0 );
       }
 
       if ( FirstWord == ConnectorNameKeyword )
--- graal/src/GTB_cursor.c	2002-09-30 12:20:39
+++ graal/src/GTB_cursor.c	2026-05-01 10:31:03
@@ -46,6 +46,7 @@
 # include <stdio.h>
 # include <X11/cursorfont.h>
 # include <X11/Intrinsic.h>
+# include <Xm/Display.h>
 # include "mut.h"
 # include "rds.h"
 # include "GTB.h"
--- graal/src/GTB_dialog.c	2004-07-29 05:56:23
+++ graal/src/GTB_dialog.c	2026-05-01 10:31:03
@@ -54,6 +54,8 @@
 # include "GTB.h"
 # include "GTB_dialog.h"
 
+extern void GraalExitErrorMessage(int);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -70,7 +72,7 @@
 |                                                             |
 \------------------------------------------------------------*/
   
-  static GraalLockLoop = 0;
+  static int GraalLockLoop = 0;
 
   static GraalDialogItem GraalWarningDialog =
 
--- graal/src/graal.c	2002-09-30 12:20:40
+++ graal/src/graal.c	2026-05-01 10:31:03
@@ -58,7 +58,11 @@
 # include "GRM.h"
 # include "GMX.h"
 
+# include "GRM_window.h"
 # include "graal.h"
+
+extern void rdsenv();
+extern void GraalInitializeErrorMessage(char);
 
 /*------------------------------------------------------------\
 |                                                             |
